// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package container

import "reflect"

type ComponentContainer interface {
	// 注册服务
	RegisterService(interface{}) error
	// 获取服务调用器
	GetServiceCaller(string) func([]reflect.Value) []reflect.Value
}

func NewComponentContainer() ComponentContainer {
	return NewDefaultComponentContainer()
}
